> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update a property list configuration

PUT https://api.propexo.com/v1/admin/integrations/{integration_id}/property-lists/{property_list_configuration_id}
Content-Type: application/json

Update a property list configuration

Reference: https://docs.propexo.com/api-reference/configuration-ap-is/admin/update-a-property-list-configuration

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_list_configuration_id` (string, required) — The ID of the property list configuration record.

### Body (application/json)

This endpoint expects a _v1_admin_integrations_{integration_id}_property-lists_{property_list_configuration_id}_put_input.

- `enabled` (boolean, required) — Whether or not we should be syncing data for this property list on this integration.

## Response

### 200

Successful response

- `results` (V1AdminIntegrationsIntegrationIdPropertyListsPropertyListConfigurationIdPutOutputResults, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1AdminIntegrationsIntegrationIdPropertyListsPropertyListConfigurationIdPutOutputResults

- `id` (string, required) — ID
- `created_at` (string, required) — The date record first entered Propexo
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_list_id` (string, required) — The Propexo unique identifier for the property list
- `x_property_list_id` (string, required) — The external ID from the integration vendor
- `enabled` (boolean, required) — Whether the property list is enabled and will have data ingested

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "enabled": false
}
```

**Response**

```json
{
  "results": {
    "id": "plc_9f8b7c6d5e4a3b2c1d0e",
    "created_at": "2023-11-20T09:15:30Z",
    "integration_id": "int_1234567890abcdef",
    "property_list_id": "prop_list_0987654321fedcba",
    "x_property_list_id": "external_56789",
    "enabled": false
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/admin/integrations/integration_id/property-lists/property_list_configuration_id"

payload = { "enabled": False }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/admin/integrations/integration_id/property-lists/property_list_configuration_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"enabled":false}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/admin/integrations/integration_id/property-lists/property_list_configuration_id"

	payload := strings.NewReader("{\n  \"enabled\": false\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/admin/integrations/integration_id/property-lists/property_list_configuration_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"enabled\": false\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/admin/integrations/integration_id/property-lists/property_list_configuration_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"enabled\": false\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/admin/integrations/integration_id/property-lists/property_list_configuration_id', [
  'body' => '{
  "enabled": false
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/admin/integrations/integration_id/property-lists/property_list_configuration_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"enabled\": false\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["enabled": false] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/admin/integrations/integration_id/property-lists/property_list_configuration_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```